local mod = RW:Boss("Twin Val'Kyrs", "Trial of the Crusader", "Crusaders Coliseum")
local L

local tSpecial
local tDVortexCast, tLVortexCast
local tDVortexDur, tLVortexDur
local tDPactCast, tLPactCast

local wInterrupt
local wShield, wDark, wLight

function mod:OnRegister()
	L = self:RegisterLocale(self:GetName(), "enUS", true)
	if L then
		L.name = "Faction Champions"
		
		L.YellVictory = "A shallow and tragic victory. We are weaker as a whole from the losses suffered today. Who but the Lich King could benefit from such foolishness? Great warriors have lost their lives. And for what? The true threat looms ahead - the Lich King awaits us all in death."
		
		L.healthframes = "Shield health frames"
		L.change_essence_opt = "Change essence warning"
		L.change_essence = "Change to %d!"
		L.interrupt = "Interrupt!"
		L.shield_warning = "Shield on other target, switch!"
		L.heal_opts = "Extra healing options"
	end	
	L = self:GetLocale()
	mod.L = L
	
	mod:SetTrigger(34497, 34496)
	mod:SetWin(34497)
	
	self:AddBoolOption("HealthFrames", L.healthframes)
	
	tDVortexCast, tLVortexCast 	= self:CastTimer(67183), self:CastTimer(67207)
	tDVortexDur, tLVortexDur 	= self:DurTimer(5, 67183), self:DurTimer(5, 67207)
	tDPactCast, tLPactCast 		= self:CastTimer(65875), self:CastTimer(65876)
	
	wDark, wLight = self:Warning(L.change_essence, 67176, L.change_essence_opt), self:Warning(L.change_essence, 67223, L.change_essence_opt)
	wShield = self:Warning(L.shield_warning, 67259, L.heal_opts)
	wInterrupt = self:Warning(L.interrupt, 6552, L.heal_opts)
end

function mod:OnEngage()
	self:Track("DarkVortex", 67182, 67184, 66058, 67183)
	self:Track("LightVortex", 67206, 67208, 66046, 67207)
	self:Track("DarkPact", 65876, 67306, 67307, 67308)
	self:Track("LightPact", 65875, 67303, 67304, 67305)
	self:Track("DarkShield", 67257, 67258, 65874, 67256)
	self:Track("LightShield", 67260, 67261, 65858, 67259)
end

function mod:DarkVortex(event, args)
end
function mod:LightVortex(event, args)
end
function mod:DarkPact(event, args)
end
function mod:LightPact(event, args)
end
function mod:DarkShield(event, args)
end
function mod:LightShield(event, args)
end
